//
//  EDAMUserException+Helpers.h
//  Evernote
//
//  Created by Steve White on 3/28/13.
//  Copyright (c) 2013 Evernote Corporation. All rights reserved.
//

#import <EDAM/EDAM.h>

@interface EDAMUserException (Helpers)

@property (nonatomic,readonly) BOOL isInvalidPassword;
@property (nonatomic,readonly) BOOL isExpiredPassword;
@property (nonatomic,readonly) BOOL isInvalidUsername;
@property (nonatomic,readonly) BOOL isInactiveUser;
@property (nonatomic,readonly) BOOL isInvalidAuthToken;
@property (nonatomic,readonly) BOOL isAuthenticationRelated;
@property (nonatomic,readonly) BOOL isFailedNoteLock;
@property (nonatomic,readonly) BOOL isExpiredAuthToken;
@property (nonatomic,readonly) BOOL isAuthPermissionDenied;


/**
 * Return yes if this EDAMUserException is due to a username/password failure
 * on an authenticate call.
 */
@property (nonatomic,readonly) BOOL isUsernamePasswordAuthFailure;


/**
 * Return YES if this EDAMUserException indicates the user is no longer
 * part of the business
 */
- (BOOL) isNoLongerInBusiness;


@end


/**
 * Convenience shortcuts for the above properties
 */
@interface NSException (EDAMUserExceptionHelpers)

@property (nonatomic,readonly) BOOL isExpiredPasswordEDAMUserException;
@property (nonatomic,readonly) BOOL isUsernamePasswordAuthFailureEDAMUserException;
@property (nonatomic,readonly) BOOL isNoLongerInBusinessEDAMUserException;
@property (nonatomic,readonly) BOOL isAuthPermissionDeniedEDAMUserException;

@end