//
//  ENError.h
//  CoreNote
//
//  Created by Andrew McGeachie on 10/9/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#ifndef ENError_HEADER_GUARD
#define  ENError_HEADER_GUARD


#import <Foundation/Foundation.h>

@interface ENError : NSObject


/**
 *  EDAMNotFoundException from createOrUpdateSharedNotes
 *
 *  @param noteTitle the title of note trying to be share
 *
 *  @return a nice NSError
 */
+ (NSError *) singleNoteShareNotNotFoundErrorWithTitle: (NSString *) noteTitle;


/**
 *  EDAMSystemException from createOrUpdateSharedNotes
 *
 *  @param noteTitle the title of note trying to be share
 *
 *  @return a nice NSError
 */
+ (NSError *) singleNoteShareSystemExceptionWithTitle: (NSString *) noteTitle;


/**
 *  Generic fallback error for createOrUpdateSharedNotes
 *
 *  @param noteTitle the title of note trying to be share
 *
 *  @return a nice NSError
 */
+ (NSError *) singleNoteShareFallBackWithTitle: (NSString *) noteTitle;


/**
 * Shared note no longer available to this user.  Owner may have deleted it
 * or stopped sharing.
 */
+ (NSError *) sharedNoteNoLongerAvailableErrorWithNoteTitle: (NSString *) noteTitle;


+ (NSError *) mustBeOnlineToAccessSharedNote;


@end

#endif