//
//  ENNoteMO+Permissions.h
//  CoreNote
//
//  Created by Andrew McGeachie on 10/8/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#ifndef ENNoteMOPermissions_HEADER_GUARD
#define ENNoteMOPermissions_HEADER_GUARD

#if TARGET_OS_IPHONE
#import "ENNoteMO.h"
#else
#import <CoreNote/CoreNote.h>
#endif

/**
 *  Permission convenience methods for determining what a user can do with a note
 */
@interface ENNoteMO (Permissions)


@property (nonatomic,readonly) BOOL canUpdateTitle;
@property (nonatomic,readonly) BOOL canUpdateContent;
@property (nonatomic,readonly) BOOL canUpdateAttributes;
@property (nonatomic,readonly) BOOL canEmail;
@property (nonatomic,readonly) BOOL canShare;
@property (nonatomic,readonly) BOOL canSharePublicly;
@property (nonatomic,readonly) BOOL canCreateTags;
@property (nonatomic,readonly) BOOL canEditTags;  // <-- why is this named differently, geech?  I DON'T KNOW!


@end

#endif