//
//  ENNotebookMO+Permissions.h
//  CoreNote
//
//  Created by Andrew McGeachie on 10/8/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

#import "ENNotebookMO.h"

typedef enum {
  ENNotebookRestrictionsCanReadNotes = 1 << 0,
  ENNotebookRestrictionsCanCreateNotes = 1 << 1,
  ENNotebookRestrictionsCanUpdateNotes = 1 << 2,
  ENNotebookRestrictionsCanExpungeNotes = 1 << 3,
  ENNotebookRestrictionsCanShareNotes = 1 << 4,
  ENNotebookRestrictionsCanEmailNotes = 1 << 5,
  ENNotebookRestrictionsCanSendMessageToRecipients = 1 << 6,
  ENNotebookRestrictionsCanUpdateNotebook = 1 << 7,
  ENNotebookRestrictionsCanExpungeNotebook = 1 << 8,
  ENNotebookRestrictionsCanSetDefaultNotebook = 1 << 9,
  ENNotebookRestrictionsCanSetNotebookStack = 1 << 10,
  ENNotebookRestrictionsCanPublishToPublic = 1 << 11,
  ENNotebookRestrictionsCanPublishToBusinessLibrary = 1 << 12,
  ENNotebookRestrictionsCanCreateTags = 1 << 13,
  ENNotebookRestrictionsCanUpdateTags = 1 << 14,
  ENNotebookRestrictionsCanExpungeTags = 1 << 15,
  ENNotebookRestrictionsCanSetParentTag = 1 << 16,
  ENNotebookRestrictionsCanCreateSharedNotebooks = 1 << 17,
} ENNotebookRestrictions;


@interface ENNotebookMO (Permissions)

+ (NSPredicate *) predicateForRestriction:(ENNotebookRestrictions)restriction value:(BOOL)value;


@property (assign, nonatomic) BOOL canReadNotes;
@property (assign, nonatomic) BOOL canCreateNotes;
@property (assign, nonatomic) BOOL canUpdateNotes;
@property (assign, nonatomic) BOOL canExpungeNotes;
@property (assign, nonatomic) BOOL canShareNotes;
@property (assign, nonatomic) BOOL canEmailNotes;
@property (assign, nonatomic) BOOL canSendMessageToRecipients;
@property (assign, nonatomic) BOOL canUpdateNotebook;
@property (assign, nonatomic) BOOL canExpungeNotebook;
@property (assign, nonatomic) BOOL canSetDefaultNotebook;
@property (assign, nonatomic) BOOL canSetNotebookStack;
@property (assign, nonatomic) BOOL canPublishToPublic;
@property (assign, nonatomic) BOOL canPublishToBusinessLibrary;
@property (assign, nonatomic) BOOL canCreateTags;
@property (assign, nonatomic) BOOL canUpdateTags;
@property (assign, nonatomic) BOOL canExpungeTags;
@property (assign, nonatomic) BOOL canSetParentTag;
@property (assign, nonatomic) BOOL canCreateSharedNotebooks;


@end
