#ifndef ENNotebookMO_HEADER_GUARD
#define ENNotebookMO_HEADER_GUARD

#import "_ENNotebookMO.h"

@class ENSharedNotebookMO;
@class EDAMNotebook;


@interface ENNotebookMO : _ENNotebookMO {}

@property (strong, nonatomic) NSString *displayName;
@property (strong, nonatomic) NSString *displayStack;

@property (nonatomic, readonly) BOOL isBusinessUserNotebook;
@property (nonatomic, readonly) BOOL isDanglingSharedNotesNotebook;

@property (nonatomic, readonly, getter = isJoinedNotebook) BOOL joinedNotebook;
@property (nonatomic, readonly) NSInteger numberOfRecipients;

- (ENSharedNotebookMO *) sharedNotebookWithShareKey:(NSString *)shareKey;
- (void) noteChangedActiveValue:(ENNoteMO *)note;

/**
 *  This callback will be invoked before this notebook instance is updated with new server values.
 *
 *  @param serverNotebook the server notebook data that was just synced from the server
 */
- (void) willUpdateFromServerNotebook:(EDAMNotebook *)serverNotebook;


/**
 *  This callback will be invoked after this notebook instance was updated with new server values.
 *
 *  @param serverNotebook the server notebook data that was just synced from the server
 */
- (void) didUpdateFromServerNotebook:(EDAMNotebook *)serverNotebook;


+ (NSPredicate *) noDanglingNotebookPredicate;


@end

#import "ENNotebookMO+Permissions.h"

#endif
