//
//  ENSyncEngineDelegate.h
//  CoreNote
//
//  Created by Steve White on 6/15/12.
//  Copyright (c) 2012 Evernote Corporation. All rights reserved.
//

#import <Foundation/Foundation.h>

@class ENSyncEngine;

@protocol ENSyncEngineDelegate <NSObject>
- (void) syncEngine:(ENSyncEngine *)syncEngine didFailWithErrors:(NSArray *)errors;

@optional
- (void) syncEnginePremiumWillExpire:(ENSyncEngine *)syncEngine;
- (void) syncEnginePremiumDidExpire:(ENSyncEngine *)syncEngine;

- (void) syncEngineDidStart:(ENSyncEngine *)syncEngine;
- (void) syncEngineDidFinish:(ENSyncEngine *)syncEngine;

- (void) syncEngineWillPerformFullSync:(ENSyncEngine *)syncEngine;
- (void) syncEngineWillSendLocalChanges:(ENSyncEngine *)syncEngine;
- (void) syncEngineWillPerformIncrementalSync:(ENSyncEngine *)syncEngine;
- (void) syncEngine:(ENSyncEngine *)syncEngine changedProgress:(CGFloat)progress;

- (void) syncEngine:(ENSyncEngine *)syncEngine changedStatusMessage:(NSString *)newStatusMessage;

- (int32_t) sessionCountForSyncEngine:(ENSyncEngine *)syncEngine;

@end
