/**
 * Autogenerated by Thrift
 *
 * DO NOT EDIT UNLESS YOU ARE SURE THAT YOU KNOW WHAT YOU ARE DOING
 */

#import <Foundation/Foundation.h>

#import "TProtocol.h"
#import "TApplicationException.h"
#import "TProtocolUtil.h"
#import "TProcessor.h"
#import "TObjective-C.h"

#import "EDAMTypes.h"

enum EDAMErrorCode {
  EDAMErrorCode_UNKNOWN = 1,
  EDAMErrorCode_BAD_DATA_FORMAT = 2,
  EDAMErrorCode_PERMISSION_DENIED = 3,
  EDAMErrorCode_INTERNAL_ERROR = 4,
  EDAMErrorCode_DATA_REQUIRED = 5,
  EDAMErrorCode_LIMIT_REACHED = 6,
  EDAMErrorCode_QUOTA_REACHED = 7,
  EDAMErrorCode_INVALID_AUTH = 8,
  EDAMErrorCode_AUTH_EXPIRED = 9,
  EDAMErrorCode_DATA_CONFLICT = 10,
  EDAMErrorCode_ENML_VALIDATION = 11,
  EDAMErrorCode_SHARD_UNAVAILABLE = 12,
  EDAMErrorCode_LEN_TOO_SHORT = 13,
  EDAMErrorCode_LEN_TOO_LONG = 14,
  EDAMErrorCode_TOO_FEW = 15,
  EDAMErrorCode_TOO_MANY = 16,
  EDAMErrorCode_UNSUPPORTED_OPERATION = 17,
  EDAMErrorCode_TAKEN_DOWN = 18,
  EDAMErrorCode_RATE_LIMIT_REACHED = 19,
  EDAMErrorCode_BUSINESS_SECURITY_LOGIN_REQUIRED = 20
};

enum EDAMInvalidContactReason {
  EDAMInvalidContactReason_BAD_ADDRESS = 0,
  EDAMInvalidContactReason_DUPLICATE_CONTACT = 1,
  EDAMInvalidContactReason_NO_CONNECTION = 2
};

@interface EDAMUserException : NSException <NSCoding> {
  int __errorCode;
  NSString * __parameter;

  BOOL __errorCode_isset;
  BOOL __parameter_isset;
}

#if TARGET_OS_IPHONE || (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)
@property (nonatomic, getter=errorCode, setter=setErrorCode:) int errorCode;
@property (nonatomic, retain, getter=parameter, setter=setParameter:) NSString * parameter;
#endif

- (id) init;
- (id) initWithErrorCode: (int) errorCode parameter: (NSString *) parameter;

- (void) read: (id <TProtocol>) inProtocol;
- (void) write: (id <TProtocol>) outProtocol;

#if !__has_feature(objc_arc)
- (int) errorCode;
- (void) setErrorCode: (int) errorCode;
#endif
- (BOOL) errorCodeIsSet;

#if !__has_feature(objc_arc)
- (NSString *) parameter;
- (void) setParameter: (NSString *) parameter;
#endif
- (BOOL) parameterIsSet;

@end

@interface EDAMSystemException : NSException <NSCoding> {
  int __errorCode;
  NSString * __message;
  int32_t __rateLimitDuration;

  BOOL __errorCode_isset;
  BOOL __message_isset;
  BOOL __rateLimitDuration_isset;
}

#if TARGET_OS_IPHONE || (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)
@property (nonatomic, getter=errorCode, setter=setErrorCode:) int errorCode;
@property (nonatomic, retain, getter=message, setter=setMessage:) NSString * message;
@property (nonatomic, getter=rateLimitDuration, setter=setRateLimitDuration:) int32_t rateLimitDuration;
#endif

- (id) init;
- (id) initWithErrorCode: (int) errorCode message: (NSString *) message rateLimitDuration: (int32_t) rateLimitDuration;

- (void) read: (id <TProtocol>) inProtocol;
- (void) write: (id <TProtocol>) outProtocol;

#if !__has_feature(objc_arc)
- (int) errorCode;
- (void) setErrorCode: (int) errorCode;
#endif
- (BOOL) errorCodeIsSet;

#if !__has_feature(objc_arc)
- (NSString *) message;
- (void) setMessage: (NSString *) message;
#endif
- (BOOL) messageIsSet;

#if !__has_feature(objc_arc)
- (int32_t) rateLimitDuration;
- (void) setRateLimitDuration: (int32_t) rateLimitDuration;
#endif
- (BOOL) rateLimitDurationIsSet;

@end

@interface EDAMNotFoundException : NSException <NSCoding> {
  NSString * __identifier;
  NSString * __key;

  BOOL __identifier_isset;
  BOOL __key_isset;
}

#if TARGET_OS_IPHONE || (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)
@property (nonatomic, retain, getter=identifier, setter=setIdentifier:) NSString * identifier;
@property (nonatomic, retain, getter=key, setter=setKey:) NSString * key;
#endif

- (id) init;
- (id) initWithIdentifier: (NSString *) identifier key: (NSString *) key;

- (void) read: (id <TProtocol>) inProtocol;
- (void) write: (id <TProtocol>) outProtocol;

#if !__has_feature(objc_arc)
- (NSString *) identifier;
- (void) setIdentifier: (NSString *) identifier;
#endif
- (BOOL) identifierIsSet;

#if !__has_feature(objc_arc)
- (NSString *) key;
- (void) setKey: (NSString *) key;
#endif
- (BOOL) keyIsSet;

@end

@interface EDAMInvalidContactsException : NSException <NSCoding> {
  NSMutableArray * __contacts;
  NSString * __parameter;
  NSMutableArray * __reasons;

  BOOL __contacts_isset;
  BOOL __parameter_isset;
  BOOL __reasons_isset;
}

#if TARGET_OS_IPHONE || (MAC_OS_X_VERSION_MAX_ALLOWED >= MAC_OS_X_VERSION_10_5)
@property (nonatomic, retain, getter=contacts, setter=setContacts:) NSMutableArray * contacts;
@property (nonatomic, retain, getter=parameter, setter=setParameter:) NSString * parameter;
@property (nonatomic, retain, getter=reasons, setter=setReasons:) NSMutableArray * reasons;
#endif

- (id) init;
- (id) initWithContacts: (NSMutableArray *) contacts parameter: (NSString *) parameter reasons: (NSMutableArray *) reasons;

- (void) read: (id <TProtocol>) inProtocol;
- (void) write: (id <TProtocol>) outProtocol;

#if !__has_feature(objc_arc)
- (NSMutableArray *) contacts;
- (void) setContacts: (NSMutableArray *) contacts;
#endif
- (BOOL) contactsIsSet;

#if !__has_feature(objc_arc)
- (NSString *) parameter;
- (void) setParameter: (NSString *) parameter;
#endif
- (BOOL) parameterIsSet;

#if !__has_feature(objc_arc)
- (NSMutableArray *) reasons;
- (void) setReasons: (NSMutableArray *) reasons;
#endif
- (BOOL) reasonsIsSet;

@end

@interface ErrorsConstants : NSObject {
}
@end
