//
//  EVELinkedInAuthGlobals.h
//  EVELinkedInClient
//
//  Created by Tong Liu on 2/9/14.
//  Copyright (c) 2014 Evernote. All rights reserved.
//

extern NSString * const EVELinkedInConsumerKey;
extern NSString * const EVELinkedInConsumerSecret;
extern NSString * const EVELinkedInCallBackURL;
extern NSString * const EVELinkedInErrorDomain;
extern NSString * const EVELinkedInOAuth2State;

typedef NS_ENUM(NSInteger, EVELinkedInErrorCode) {
  EVELinkedInErrorUserCancelledAuthentication = -1012,  // happens to invalid token on OS X
  EVELinkedInErrorBadRequest    = 400,
  EVELinkedInErrorInvalidToken  = 401, // invalid or expired token
  EVELinkedInErrorLimitReached  = 403,
  EVELinkedInErrorPageNotFound  = 404,
  EVELinkedInErrorServiceError  = 500,
  EVELinkedInErrorUserCanceled  = 9527,
  EVELinkedInErrorAccessDenied  = 9528,
  EVELinkedInErrorUnknownError  = 9529,
  EVELinkedInErrorWrongState    = 9530,
  EVELinkedInErrorUnknownData   = 9531
};